Debian Bug report logs - #477083
grub-pc: Is excruciatingly slow when compared to grub (legacy)

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Frans Pop <elendil@planet.nl>

Date: Sun, 20 Apr 2008 20:39:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 476479, 486119

Found in versions 1.96+20080621-1, grub2/1.96+20080413-1, grub2/1.96+20080601-2, grub2/1.96+20080626-1

Fixed in versions 1.96+20080617-1, grub2/1.96+20080704-1

Done: Robert Millan <rmh@aybabtu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Sun, 20 Apr 2008 22:35:35 +0200
Package: grub-pc
Version: 1.96+20080413-1
Severity: important

I have tried grub-pc a few times during my installation tests and
noticed that it is really significantly slower than grub "legacy".
This may or may not be very visible on real hardware, but in Virtualbox
(running on a fast, modern host system) the difference is 30 seconds.

With grub I am looking at the grub menu 4 seconds after I start the
virtual machine (which includes ~2 seconds of allowing to select a
different boot medium by the VM's "bios").
With grub-pc this is 34 (!) seconds.

You can clearly see the different stages too, even of the menu being
built up (numbers are seconds:
 0- 3: start virtual machine and BIOS stuff
 3   : "Welcome to GRUB!" is displayed
 3-28: occasional disk activity, but display remains the same
28   : "GNU GRUB  version 1.96" is displayed
30-32: slooowly the border is built up from top to bottom and the help
       text below is displayed
32-33: no visible action
33-34: menu items are shown and the blue background is filled in

Note that there's also #476479 ("takes 10 seconds to get to the menu")
which is currently assigned to grub-common. I'm willing to bet that report
is about grub-pc too, and not about grub "legacy".

Also, scrolling through the menu is quite slow and there's "flashing" of
the (previously highlighted) menu item line while scrolling. This is
different from the flashing mentioned in #437275.

With grub "legacy", the menu appears almost instantaneously and the
scrolling is fast and smooth.

>From my PoV as one of the core D-I developers this is a major usability
issue which would need to be resolved before I personally would consider
allowing grub-installer to install grub-pc by default.

This testing was done on an em64t dual core 3.2MHz host running Debian
amd64/unstable. Virtualbox VM had cleanly installed i386/lenny (which
also means that this should be trivial to reproduce ;-).

Cheers,
FJP




Blocking bugs of 477094 added: 470894, 473401, 477083, 477090, and 477092 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 20 Apr 2008 22:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 477083@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Frans Pop <elendil@planet.nl>, 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Mon, 21 Apr 2008 10:38:47 +0200
Frans Pop schrieb:
> I have tried grub-pc a few times during my installation tests and
> noticed that it is really significantly slower than grub "legacy".
> This may or may not be very visible on real hardware, but in Virtualbox
> (running on a fast, modern host system) the difference is 30 seconds.

I can confirm this here. However, I believed this was an issue in 
VirtualBox (never tried with grub-legacy) and thus did not report it 
as a bug.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Message #15 received at 477083@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Frans Pop <elendil@planet.nl>, 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Thu, 24 Apr 2008 09:28:11 +0200
On Sun, Apr 20, 2008 at 10:35:35PM +0200, Frans Pop wrote:
> 
> I have tried grub-pc a few times during my installation tests and
> noticed that it is really significantly slower than grub "legacy".
> This may or may not be very visible on real hardware, but in Virtualbox
> (running on a fast, modern host system) the difference is 30 seconds.
> 
> With grub I am looking at the grub menu 4 seconds after I start the
> virtual machine (which includes ~2 seconds of allowing to select a
> different boot medium by the VM's "bios").
> With grub-pc this is 34 (!) seconds.
> 
> You can clearly see the different stages too, even of the menu being
> built up (numbers are seconds:
>  0- 3: start virtual machine and BIOS stuff
>  3   : "Welcome to GRUB!" is displayed
>  3-28: occasional disk activity, but display remains the same
> 28   : "GNU GRUB  version 1.96" is displayed
> 30-32: slooowly the border is built up from top to bottom and the help
>        text below is displayed
> 32-33: no visible action
> 33-34: menu items are shown and the blue background is filled in

That's strange.  In my laptop it just takes ~2 seconds from MBR load up
untill menu is displayed.

What are the constraints in your test environment?  I assume CPU will be
ultra-slow but disk access (through BIOS) relatively fast?

> Note that there's also #476479 ("takes 10 seconds to get to the menu")
> which is currently assigned to grub-common. I'm willing to bet that report
> is about grub-pc too, and not about grub "legacy".

Now that I check, the "Welcome to GRUB!" string is actually GRUB2-specific.
I'm reassigning that one...

> Also, scrolling through the menu is quite slow and there's "flashing" of
> the (previously highlighted) menu item line while scrolling. This is
> different from the flashing mentioned in #437275.

Ah, I see what you mean.  It's erasing the whole line and then drawing it
again, right?

> With grub "legacy", the menu appears almost instantaneously and the
> scrolling is fast and smooth.

Well, notice there's a handicap of sorts.  The code for drawing in text mode
is a BIOS callback and hasn't changed much (you can try it by setting
GRUB_TERMINAL=console in /etc/default/grub and re-run update-grub), but
the gfxterm/vbe stack is (forcibly) more expensive.  There's probably room
for optimization though.

-- 
Robert Millan

"The technological evasion of the license is as unacceptable as the
 legal evasion of the license [...].  That's the provision in section
 1 regarding keys. [...]  We say one thing: when you sell somebody a
 home... give him the keys"  -- Eben Moglen on GPLv3




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 477083@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Thu, 24 Apr 2008 11:12:50 +0200
[Message part 1 (text/plain, inline)]
On Thursday 24 April 2008, Robert Millan wrote:
> What are the constraints in your test environment?  I assume CPU will be
> ultra-slow but disk access (through BIOS) relatively fast?

There are no real constraints that I know of. Sure CPU is slower than on 
real hardware, but certainly no "ultra slow", especially as my host system 
really is quite fast. I also don't see any significant slowdown during for 
example the installation of Debian itself.
VirtualBox is a lot faster than qemu for example.

I have just also tested using qemu and the results there are similar, though 
that's a bit faster:
 0- 1: start emulator
 1   : "Welcome to GRUB!" is displayed
 1-15: occasional disk activity, but display remains the same
15   : "GNU GRUB  version 1.96" is displayed
15-16: the border is built up from top to bottom and the help
       text below is displayed
16-17: no visual activity
17   : menu items are shown and the blue background is filled in

And again, with grub "legacy" the menu is displayed almost instantaneously.

I'd suggest that you install VirtualBox or qemu and try it for yourself.
For VirtualBox I use the Debian virtual-ose package so installation should 
be trivial. It might make sense for grub2 upstream to contact the upstream 
VirtualBox developers.

> > Also, scrolling through the menu is quite slow and there's "flashing"
> > of the (previously highlighted) menu item line while scrolling. This is
> > different from the flashing mentioned in #437275.
>
> Ah, I see what you mean.  It's erasing the whole line and then drawing it
> again, right?

Yes, that could well be what's happening.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to "Nathan A. Stine" <nathan.stine@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 477083@bugs.debian.org (full text, mbox):

From: "Nathan A. Stine" <nathan.stine@gmail.com>
To: 477083@bugs.debian.org
Subject: Same issue in QEMU
Date: Wed, 07 May 2008 17:21:21 -0400
FYI, I'm getting the same slowness issue described using QEMU (with
KQEMU), so the problem must have something to do with being run in a
virtual environment.  This is on an Athlon K7.

Best regards,

Nathan A. Stine





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Christian Meyer <c2h5oh@web.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 477083@bugs.debian.org (full text, mbox):

From: Christian Meyer <c2h5oh@web.de>
To: 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Fri, 23 May 2008 00:37:59 +0200
I can confirm this behaviour, especially "takes 10 seconds to get to the menu" (#476479) on REAL Hardware.
I'm cainloading grub2 via grub legacy [kernel (hd0,8)/boot/grub/core.img]

My hardware:
AMD Duron 1200 (K7)
Motherboard: Gigabyte GA-7VKML KM266
256 MB DDR-RAM


On-Board LAN (Build in RTL8100L Chipset)
Sound on Board (AC97)
Video on board, /var/log/xorg.0.log says:
     (**) |   |-->Device "S3 Inc. VT8375 [ProSavage8 KM266/KL266]"
     (--) Chipset ProSavageDDR found

2 Harddisks, 9 + 2 Partitions, various filesystems
BIOS: Licensed AMI BIOS, 2M bit Flash ROM

Christian Meyer
_____________________________________________________________________
Der WEB.DE SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
http://smartsurfer.web.de/?mc=100071&distributionid=000000000066





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 477083@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>
To: Debian Bug Tracking System <477083@bugs.debian.org>
Subject: grub-pc: slowness with lvm
Date: Fri, 27 Jun 2008 13:21:47 -0700
Package: grub-pc
Version: 1.96+20080626-1
Followup-For: Bug #477083

i seem to have an absurdly slow boot as well, taking quite some time to
even get around to displaying the menu.  

when i comment out the "insmod lvm" line it boots reasonably fast.

i've got / on an lvm'ed filesystem, but /boot is just on a regular
partition, so i don't actually appear to *need* lvm for booting.  this
is also in a virtualbox environment.

version 1.96+20080512-1 works fine, even with "insmod lvm".

thanks!

live well,
  vagrant




Tags added: pending Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Fri, 04 Jul 2008 19:57:29 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@aybabtu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 477083-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 477083-close@bugs.debian.org
Subject: Bug#477083: fixed in grub2 1.96+20080704-1
Date: Sat, 05 Jul 2008 12:02:03 +0000
Source: grub2
Source-Version: 1.96+20080704-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-common_1.96+20080704-1_amd64.deb
grub-efi_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-efi_1.96+20080704-1_amd64.deb
grub-ieee1275_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-ieee1275_1.96+20080704-1_amd64.deb
grub-linuxbios_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-linuxbios_1.96+20080704-1_amd64.deb
grub-pc_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-pc_1.96+20080704-1_amd64.deb
grub-rescue-pc_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub-rescue-pc_1.96+20080704-1_amd64.deb
grub2_1.96+20080704-1.diff.gz
  to pool/main/g/grub2/grub2_1.96+20080704-1.diff.gz
grub2_1.96+20080704-1.dsc
  to pool/main/g/grub2/grub2_1.96+20080704-1.dsc
grub2_1.96+20080704-1_amd64.deb
  to pool/main/g/grub2/grub2_1.96+20080704-1_amd64.deb
grub2_1.96+20080704.orig.tar.gz
  to pool/main/g/grub2/grub2_1.96+20080704.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477083@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@aybabtu.com> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri,  4 Jul 2008 21:39:07 +0200
Source: grub2
Binary: grub2 grub-of grub-common grub-pc grub-rescue-pc grub-linuxbios grub-efi grub-ieee1275
Architecture: source amd64
Version: 1.96+20080704-1
Distribution: unstable
Urgency: high
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Robert Millan <rmh@aybabtu.com>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-efi   - GRand Unified Bootloader, version 2 (EFI version)
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (LinuxBIOS version)
 grub-of    - GRand Unified Bootloader, version 2 [dummy]
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 464086 476479 477083 488375 489133
Changes: 
 grub2 (1.96+20080704-1) unstable; urgency=high
 .
   * New SVN snapshot.
   * default/grub: Add commented example to disable graphical terminal.
   * Use substvars to support linking with liblzo1.
   * Bring 03_disable_floppies.diff to pre-r805 state.  (Closes: #488375)
   * patches/02_old_linux_version_comparison.diff: New patch.  Steal version
     comparison code from GRUB Legacy's update-grub.  (Closes: #464086, #489133)
   * patches/00_speed_up_font_load.diff: New patch.  Generate font files with
     only the needed characters.  (Closes: #476479, #477083)
Checksums-Sha1: 
 0692e182f95fb5686306abbcfc36a7f773583b02 2002 grub2_1.96+20080704-1.dsc
 6d00d44efbd4279de88916b72aebd6f26b929c68 866780 grub2_1.96+20080704.orig.tar.gz
 14afe6bb8eaaa47b4fde9ff6b562dbb249e2020b 42191 grub2_1.96+20080704-1.diff.gz
 0315f7e36da204185b1a997f4b4aa65888bc9d73 117410 grub2_1.96+20080704-1_amd64.deb
 c6ac0fec5b0e5a92159bf69f35bde13be4bb8eec 190674 grub-common_1.96+20080704-1_amd64.deb
 daa81bfd05160c57b5eb345fe8771c6bd8dbb966 1132800 grub-pc_1.96+20080704-1_amd64.deb
 525f26f55b2c5d921366dcc852db3e9c19ad1270 465312 grub-rescue-pc_1.96+20080704-1_amd64.deb
 f0df5048e599e7e808064a284a5b5165c6aa293d 995826 grub-linuxbios_1.96+20080704-1_amd64.deb
 63c1fdbf00c272640063ee63ced3de5beffb290b 888844 grub-efi_1.96+20080704-1_amd64.deb
 717a996e2a3aeecdecce7911282095a4bc043cc1 998276 grub-ieee1275_1.96+20080704-1_amd64.deb
Checksums-Sha256: 
 56a682798e69b96d4f9e90cfceeedf98f225763c317f150c0da8f0e1d0f0d0d4 2002 grub2_1.96+20080704-1.dsc
 59eca2e285862d1d2dbc982cc68884f57813b9b82e01b8a4fe259722e3508524 866780 grub2_1.96+20080704.orig.tar.gz
 26eaa9496789895c8e3cb03a1c17ecdce8f73a5eb8a4617c9b58169e1e6c5b09 42191 grub2_1.96+20080704-1.diff.gz
 da119b37188a5e75f06c578c7f82cb69d69c505c8ab08634354df2fa6e0439fd 117410 grub2_1.96+20080704-1_amd64.deb
 549fec2a269b9c5853d356944e421473091ce65b3fba91108493ead733a56e2b 190674 grub-common_1.96+20080704-1_amd64.deb
 8132ccabf4e6b57642ece13d3267c15c9f0261dc12667cccef6e713f9db37a58 1132800 grub-pc_1.96+20080704-1_amd64.deb
 e998c7df4e5d6151a42ef1212d3f467f99bc1f63bedfe2867ee9d8cec3ae864d 465312 grub-rescue-pc_1.96+20080704-1_amd64.deb
 d55d5f4dbf8e30ade7e536912c4ee8b885a42ae396830dc546eebb9cdcaa68a6 995826 grub-linuxbios_1.96+20080704-1_amd64.deb
 7ac0b9709513acdaa00a4b4cadb150ffde986031615a7d84d5520c9f3b0dc652 888844 grub-efi_1.96+20080704-1_amd64.deb
 3845af154c282abc3fdec0fccbacf0ce7c059b5d95078cc14e02008a23159462 998276 grub-ieee1275_1.96+20080704-1_amd64.deb
Files: 
 0695ab798be28f4c44146ecc76d90630 2002 admin extra grub2_1.96+20080704-1.dsc
 9dbbea7f993336babb2ecb87f7e33d42 866780 admin extra grub2_1.96+20080704.orig.tar.gz
 726b24ada1f434a5c061d0487311b319 42191 admin extra grub2_1.96+20080704-1.diff.gz
 2a8d2ce0067bcbb88eb1bd93670a2fc2 117410 admin extra grub2_1.96+20080704-1_amd64.deb
 2c71ff82fbf2755b30935c0b0c7b2a5a 190674 admin extra grub-common_1.96+20080704-1_amd64.deb
 ec2ed06ffe851e0a1fbdb1fb00196308 1132800 admin extra grub-pc_1.96+20080704-1_amd64.deb
 f615d3edb640cd1a216289632962fd26 465312 admin extra grub-rescue-pc_1.96+20080704-1_amd64.deb
 b67abef0583806a81ea37f1f1d60a29d 995826 admin extra grub-linuxbios_1.96+20080704-1_amd64.deb
 b55c086b80c9d9efbcbfbcb076388204 888844 admin extra grub-efi_1.96+20080704-1_amd64.deb
 610502a9ed33691871e339ce715e0a28 998276 admin extra grub-ieee1275_1.96+20080704-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhvXasACgkQC19io6rUCv9g0gCfbFNnQ8iVbXk7kvP5u6YVHsxk
8e8An16zbTOmdUUVu75MY0tvYrzCIiZv
=adMB
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Christian Meyer <c2h5oh@web.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 477083@bugs.debian.org (full text, mbox):

From: Christian Meyer <c2h5oh@web.de>
To: 477083@bugs.debian.org
Subject: Re: Bug#477083
Date: Sun, 06 Jul 2008 18:20:10 +0200
Thank you. Your patch did half of the work:

"Welcome to GRUB!" is displayed for half a second or so (instead of 5 - 7 before),

The remaining problem is:
the screen turns black for 5 more seconds before graphical menu is displayed.
For me it seems to have to do with one of these modules: gfxterm, vbe or png 

In reply to: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477083#35
I have no lvm installed, no lvm module loaded.

Christian Meyer


### BEGIN /etc/grub.d/00_header ###
set default=0
set timeout=5
set root=(hd0,9)
search --fs-uuid --set a7abc87e-7b9d-4585-b292-fdd1fc33f1b4
if font /usr/share/grub/ascii.pff ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  terminal gfxterm
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set root=(hd0,9)
search --fs-uuid --set a7abc87e-7b9d-4585-b292-fdd1fc33f1b4
insmod png
if background_image /boot/grub/debian-blueish-wallpaper-640x480.png ; then
  set color_normal=black/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###


_____________________________________________________________________
Der WEB.DE SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
http://smartsurfer.web.de/?mc=100071&distributionid=000000000066





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 477083@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Christian Meyer <c2h5oh@web.de>, 477083@bugs.debian.org
Subject: Re: Bug#477083:
Date: Tue, 08 Jul 2008 12:30:39 +0200
Christian Meyer schrieb:
> "Welcome to GRUB!" is displayed for half a second or so (instead of 5 - 7 before),

Same improvement here! The menu is still sluggish, though.

> The remaining problem is:
> the screen turns black for 5 more seconds before graphical menu is displayed.
> For me it seems to have to do with one of these modules: gfxterm, vbe or png 

Yep, same here.


-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 477083@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Thu, 10 Jul 2008 22:09:33 +0200
[Message part 1 (text/plain, inline)]
On Saturday 05 July 2008, Debian Bug Tracking System wrote:
> #477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
>
> It has been closed by Robert Millan <rmh@aybabtu.com>.

That really fixed it! The only thing that still remains is the slow 
build-up of the display (title -> border -> menu/background). But that 
HUGE delay before that point is completely gone.

Kudos!

I'd already tested it in qemu, but only just did a full install in 
VirtualBox. Both are more than acceptable now, though having that display 
build-up slowness improved would still very much improve usability (or 
better: result in increased quality perception).

One major blocker gone.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Message #60 received at 477083@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Frans Pop <elendil@planet.nl>, 477083@bugs.debian.org
Subject: Re: Bug#477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
Date: Sat, 12 Jul 2008 17:23:59 +0200
On Thu, Jul 10, 2008 at 10:09:33PM +0200, Frans Pop wrote:
> On Saturday 05 July 2008, Debian Bug Tracking System wrote:
> > #477083: grub-pc: Is excruciatingly slow when compared to grub (legacy)
> >
> > It has been closed by Robert Millan <rmh@aybabtu.com>.
> 
> That really fixed it! The only thing that still remains is the slow 
> build-up of the display (title -> border -> menu/background). But that 
> HUGE delay before that point is completely gone.
> 
> Kudos!
> 
> I'd already tested it in qemu, but only just did a full install in 
> VirtualBox. Both are more than acceptable now, though having that display 
> build-up slowness improved would still very much improve usability (or 
> better: result in increased quality perception).

With the current framework, there's much less room for improvement there
(unless you switch to the console terminal), because of the gfxterm
abstraction.  I expect it'll get better by the end of summer when fancy
graphics support is implemented.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#477083; Package grub-pc. Full text and rfc822 format available.

Message #63 received at 477083@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Christian Meyer <c2h5oh@web.de>
Cc: 477083@bugs.debian.org
Subject: Re: Bug#477083:
Date: Sat, 12 Jul 2008 17:42:47 +0200
On Sun, Jul 06, 2008 at 06:20:10PM +0200, Christian Meyer wrote:
> Thank you. Your patch did half of the work:
> 
> "Welcome to GRUB!" is displayed for half a second or so (instead of 5 - 7 before),
> 
> The remaining problem is:
> the screen turns black for 5 more seconds before graphical menu is displayed.

You mean in qemu/vbox?

> For me it seems to have to do with one of these modules: gfxterm, vbe or png 

Try inserting a few "echo" calls and see what is at fault.

If you reply to this message, *PLEASE* do so by filing a new bug instead of
repliing to this one.  This is not related to #477083 anymore.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Forcibly Merged 476479 477083 486119. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Thu, 24 Jul 2008 12:24:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Aug 2008 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:23:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.